#! /usr/bin/env python

import sys
import os

carstensen_species_src_path = "carstensen/taxonomy/carstensen.species.landbird.sorted.txt"
carstensen_family_species_src_path = "carstensen/taxonomy/carstensen_taxonomy_family_species.csv"
jetz_src_path = "jetz/taxonomy/jetz_taxonomy_species_names.txt"

carstensen_names = open(carstensen_species_src_path, "r").read().split("\n")
carstensen_family_species_raw = open(carstensen_family_species_src_path, "r").read().split("\n")
carstensen_species_family_tuples = [x.split(",")[-1::-1] for x in carstensen_family_species_raw if x]
carstensen_species_family_map = dict(carstensen_species_family_tuples)

jetz_names = set(open(jetz_src_path, "r").read().split("\n"))

get missing names
print("names_in_carstensen_but_not_in_jetz = [")
for name in carstensen_names:
    if name not in jetz_names:
        qname = '"{}",'.format(name)
        print("    {:40} # {}".format(qname, carstensen_species_family_map[name]))
print("]")

#### VERNACULAR NAMES IN CARSTENSEN ARE ***INCORRECT!!!!****
# carstensen_species_src_path = "carstensen/taxonomy/carstensen.species.landbird.sorted.txt"
# carstensen_family_species_src_path = "carstensen/taxonomy/carstensen_taxonomy_species_family_vernacular.csv"
# jetz_src_path = "jetz/taxonomy/jetz_taxonomy_species_names.txt"

# carstensen_names = open(carstensen_species_src_path, "r").read().split("\n")
# carstensen_family_species_raw = open(carstensen_family_species_src_path, "r").read().split("\n")
# carstensen_species_family_tuples = [x.split(",", 1) for x in carstensen_family_species_raw if x]
# carstensen_species_family_map = dict(carstensen_species_family_tuples)

# jetz_names = set(open(jetz_src_path, "r").read().split("\n"))

# print("names_in_carstensen_but_not_in_jetz = [")
# for name in carstensen_names:
#     if name not in jetz_names:
#         qname = '"{}",'.format(name)
#         family, common = carstensen_species_family_map[name].split(",")
#         print("    {:40} # {}".format(qname, family, common))
# print("]")
